Skip to content

Enable Configuration Mode in the currently authenticated Vault. When enabled, Configuration Mode locks non-Admin users out of the Vault. Vault Owners and System Admins can still access the Vault to deploy configuration migration packages or set up Dynamic Access Control (DAC).

Users with access to multiple Vaults can log in if at least one (1) Vault in the domain is not in Configuration Mode.

Learn more about Configuration Mode in Vault Help.

POST/api/{version}/services/configuration_mode/actions/enable
NameDescription
Acceptapplication/json(default) or application/xml
curl -X POST -H 'Authorization: {Session_ID}' \ -H 'Accept: application/json' \ https://myvault.veevavault.com/api/v24.3/services/configuration_mode/actions/enable
{ "responseStatus": "SUCCESS", "responseMessage": "Configuration Mode Active enabled." }

On SUCCESS, this endpoint enables Configuration Mode in the currently authenticated Vault, terminates sessions for any non-Admin users currently logged in, and prevents other non-Admin users from logging in. Sessions can take up to five (5) minutes to terminate for users accessing the Vault UI and up to 15 minutes for users accessing the API.